Subject: Re: Meeting

From: Simon Catterall <[email-masked]>
Date: Thu, 4 May 2000 14:54:52 -0400 (EDT)

I am aroudn from now till the seminar
drop by!
simon

On Thu, 4 May 2000, Saleh Elmohamed wrote:

> Hi Simon,
> 
> Sorry couldn't be there on time. Showed up around 2:20 or
> so and waited for a while... I was told there is a seminar there
> at 4:00 so I guess won't be able meet close to that time... If
> you'd rather meet today, drop me an email and I could stop by
> again. 
> Tomorrow is fine as well.
> 
> Many thanks,
> Saleh
> 
> 
> 
> 
>